cURL
curl --request POST \
--url https://app.ontime.hosai.app/api/ingest/biometric/adminlog \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"serial": "<string>",
"terminalType": "<string>",
"terminalId": 0,
"transId": 0,
"at": "2023-11-07T05:31:56Z",
"adminId": 0,
"targetUserId": 0,
"action": "<string>",
"result": 0,
"deviceUid": "<string>"
}
'import requests
url = "https://app.ontime.hosai.app/api/ingest/biometric/adminlog"
payload = {
"serial": "<string>",
"terminalType": "<string>",
"terminalId": 0,
"transId": 0,
"at": "2023-11-07T05:31:56Z",
"adminId": 0,
"targetUserId": 0,
"action": "<string>",
"result": 0,
"deviceUid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
serial: '<string>',
terminalType: '<string>',
terminalId: 0,
transId: 0,
at: '2023-11-07T05:31:56Z',
adminId: 0,
targetUserId: 0,
action: '<string>',
result: 0,
deviceUid: '<string>'
})
};
fetch('https://app.ontime.hosai.app/api/ingest/biometric/adminlog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Reference
Post apiingestbiometricadminlog
POST
/
api
/
ingest
/
biometric
/
adminlog
cURL
Authorizations
Issue keys in Settings → API. Send them as Authorization: Bearer ont_… (an X-Api-Key: ont_… header is also accepted). Session-cookie routes are used by the OnTime web apps and are shown for completeness.
Body
application/json
Minimum string length:
1Minimum string length:
1Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Response
200
Success
⌘I